local Addon = _G[...]
local EmptySlot = Addon.ActionSlots:CreateKind("empty")

-- charges, maxCharges, chargeStart, chargeDuration, chargeModRate
function EmptySlot:GetActionCharges()
    return 0, 0, 0, 0, 0
end

-- start, duration, enable, modRate
function EmptySlot:GetActionCooldown()
    return 0, 0, 0, 0
end

function EmptySlot:GetActionCount()
    return 0
end

function EmptySlot:GetActionID()
    return 0
end

function EmptySlot:GetActionInfo()
    return
end

-- locStart, locDuration
function EmptySlot:GetActionLossOfControlCooldown()
    return 0, 0
end

function EmptySlot:GetActionText()
    return ""
end

function EmptySlot:GetActionTexture()
    return
end

function EmptySlot:GetItemID()
    return 0
end

function EmptySlot:GetSpellID()
    return 0
end

function EmptySlot:HasAction()
    return false
end

function EmptySlot:IsActionInRange()
end

function EmptySlot:IsAttackAction()
    return false
end

function EmptySlot:IsAutoCastAction()
    return false
end

function EmptySlot:IsAutoRepeatAction()
    return false
end

function EmptySlot:IsConsumableAction()
    return false
end

function EmptySlot:IsCurrentAction()
    return false
end

function EmptySlot:IsEquippedAction()
    return false
end

function EmptySlot:IsItemAction()
    return false
end

function EmptySlot:IsStackableAction()
    return false
end

function EmptySlot:IsUsableAction()
    return true
end

Addon.EmptySlot = EmptySlot